/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C - C++ Header
 *
 * File : 	H_metric.h
 *
 * Module :	H_metric
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Tue Feb 21 15:20:53 1995 
 *
 * Comments : 	
 *
 ***************************************************************/


/* include files */

#include <NagMatrix.h>

void setup_H_metric(int N);
NagMatrix* get_H();
NagMatrix* get_H_root();
NagMatrix* get_H_inv_root();
NagMatrix* get_strain_matrix();
void setup_H(int N2, NagMatrix& res);
void setup_H_metric(NagVector& mean_prf);
void build_covariance_matrix(NagMatrix& cov, int ncp, int nsp =0);


void get_H(NagVector& prf, NagMatrix& res);


/* global functions */


/* local functions */





