/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/*
 * PCAdata
 * 
 * base class for 
 * a general n-vector of data for PCA
 *
 */

#ifndef __PCADATA_H__
#define __PCADATA_H__
#include <stdio.h>

class PCAdata
{
public:

  // get_data_size - returns size of data set
  virtual int get_data_size()
    {
      fprintf(stderr, "illegal call to function PCAdata::get_data_size \n");
      return (0);
    }

  // get_data - returns ith item of data
  virtual realno get_data(int i) 
    { 
      fprintf(stderr, "illegal call to function PCAdata::get_data \n");
      fprintf(stderr, "parameter i = %d \n ", i);
      return (0);
    }

  // set_data - sets ith item of data
  virtual void set_data(int i, realno val) 
    { 
      fprintf(stderr, "illegal call to function PCAdata::set_data \n");
      fprintf(stderr, "parameter i = %d \n ", i);
      fprintf(stderr, "parameter val  = %f \n ", (float) val);
    }
  
};

#endif


