/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C - C++ Header
 *
 * File : 	GrayMap.h
 *
 * Module :	GrayMap
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Mon Jun 17 10:45:07 1996 
 *
 * Comments : 	an intensity correction map
 *
 ***************************************************************/

#ifndef __GRAY_MAP_H__
#define __GRAY)MAP_H__

#include <realno.h>

typedef unsigned char BaseGrayMap[256];
typedef unsigned char *PntGrayMap;

// gamma correction 
// Result  = 256 * [(Intensity / 256)^(1.0 / gamma)]

class GammaCorrectMap 
{
protected:

  BaseGrayMap data;

public:

  GammaCorrectMap(realno gamma_val);

  operator PntGrayMap() { return &data[0]; }
};


#endif
