/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C - C++ Header
 *
 * File : 	ImagePyramid.h
 *
 * Module :	ImagePyramid
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Thu Mar 28 11:32:13 1996 
 *
 * Comments : 	Multi-scale image class
 *
 ***************************************************************/


/* include files */
#ifndef __IMAGE_PYRAMID_H__
#define __IMAGE_PYRAMID_H__

class Image;


class ImagePyramid 
{

public:
  
  Image* bottom_image;	// pointer to original image
  
  Image** img_array;	// set of images

  int current_level;
  int max_level;
  
  // level 0 is fine resolution
  
  // constructor
  // build a pyramid of given depth
  ImagePyramid(Image* original, int depth = 1);
  ~ImagePyramid();
  BasePixel* get_base_pixel(int x, int y, 
			    BasePixel* res = NULL, int scale = 1);
  void display();
};

#endif
