/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C - C++ Header
 *
 * File : 	MpegStream.h
 *
 * Module :	MpegStream
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Tue Oct 31 10:05:33 1995 
 *
 * Comments : 	
 *
 ***************************************************************/

#ifndef __MPEG_STREAM_H__
#define __MPEG_STREAM_H__

#include <imgsrc.h>

struct ImageDesc;


class MpegStream : public ImageSource
{
public:
  
  FILE *mpeg_file;
  ImageDesc *mpeg_info;

  // constructor
  // for Grayscale images pass FALSE as 2nd argument
  MpegStream(char *filename, bool colour = TRUE);
  ~MpegStream();

  Image* get_next();
  
  // reset_movie -- rewind to the start
  void reset_movie();
  
  void goto_frame(int n);

};
#endif

