/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C - C++ Header
 *
 * File : 	RAMpegStream.h
 *
 * Module :	RAMpegStream
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Tue Oct 31 10:05:33 1995 
 *
 * Comments : 	Radom Access MPEG stream class
 *
 ***************************************************************/

#ifndef __RA_MPEG_STREAM_H__
#define __RA_MPEG_STREAM_H__

#include <imgsrc.h>

struct ImageDesc;


class RAMpegStream : public ImageSource
{
public:
  
  ImageDesc *mpeg_info;
  int no_gops;
  int no_frames;

  // constructor
  // for Grayscale images pass FALSE as 2nd argument
  RAMpegStream(char *filename, bool colour = TRUE);
  ~RAMpegStream();

  Image* get_next();
  
  // reset_movie -- rewind to the start
  void reset_movie();
  
  // goto frame using entry point table
  void goto_frame(int n);

  // extra member functions

  // goto the preceeding reference (I) frame
  // return actual frame number
  int goto_ref_frame(int n);

};
#endif

