/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/*
 * RGB2GRAYsrc.h
 *
 * ImageSource takes RGB8 and returns GRAY8
 *
 */

#ifndef __RGB2GRAYSRC_H__
#define __RGB2GRAYSRC_H__

#include <miscsrc.h>
#include <RGB8Image.h>

class RGB2GRAYsrc : public PipeSource
{
 public:
  Image* recalc()
    { if (in->get_current()->imgtype() == RGB8)
	return ((Image*) ((RGB8Image*) in->get_current())->to_gray(current));
      else return (NULL);
    }
  RGB2GRAYsrc(ImageSource* s1) : PipeSource(s1)
    { refresh(); }
};

#endif
