/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/*
 * image.h
 * general image class
 * not fully implemented yet
 *
 * author : A M Baumberg
 */

#ifndef __RGB8IMAGE_H__
#define __RGB8IMAGE_H__

#include <image.h>
#include <Gray8Image.h>
#include <RGBpixel.h>

struct  RGB8pixel 
{
  unsigned char red : 3;
  unsigned char blue : 2;
  unsigned char green : 3;
};

extern const unsigned char &RED_MASK, &BLUE_MASK, &GREEN_MASK;

class RGB8Image : public Image
{

 public:
  
  RGB8Image(int w, int h, unsigned char* img_data = NULL)
    : Image(w, h, 1, img_data) {}
  ImageType imgtype() { return (RGB8); }
  Image* copy (Image* r = NULL);
  Image* copy_type(int w, int h) 
    { if (w == 0) w = width ;
      if (h == 0) h = height;
      return (new RGB8Image(w, h)); }
  Image* virtual_copy()
  { return new RGB8Image(width, height, data); }

  BasePixel* get_base_pixel(int x, int y);

  Image* difference(Image* i2, realno threshold, Image* r = NULL);
  /*
  Image* resample (int xstep, int ystep, Image* r = NULL);
  Image* convolve (Kernel k, Image* r = NULL);
  Image* neighbour_order(int n, Image* r = NULL);
  Image* sobel(int threshold, Image* r = NULL);
  Image* sobel(Image* r = NULL);
  Image* threshold (int threshold, Image* r = NULL);
  Image* extract_subimage(int xlo, int xhi, int ylo, int yhi,
			   Image* r = NULL);
  Image* flip_vertically(Image* r = NULL);*/

  Image* to_gray(Image* r = NULL);

  long display(long glw = NULLWIN);
  int measure_contrast(void* p1, void* p2);


};

#endif
