/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/*
 * diffsrc.h
 * 
 * a source of differenced (thresholded) images taken 
 * from two input image sources
 *
 */

#ifndef __DIFFSRC_H__
#define __DIFFSRC_H__

#include <imgsrc.h>

class Diffsrc : public ImageSource
{
 public:

  ImageSource* source1;
  ImageSource* source2;

  int threshold1;
  int threshold2;
  int threshold3;
  
  realno no_deviations;

  /* constructor */
  Diffsrc(ImageSource* s1, ImageSource* s2, int t1, int t2, int t3); 
  Diffsrc(ImageSource* s1, ImageSource* s2, int t1);
  Diffsrc(ImageSource* s1, ImageSource* s2, realno no_devs);

  Image* recalculate_thresholds();
  
  Image* recalc();  /* recalculate with current data */
  Image* get_next(); /* get next differenced image */

};
  
#endif
