/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/*
 * sgimgsrc.h
 * sgi videoboard image source class
 *
 * author: A.M.Baumberg (amb)
 * creation date: 8/1/93
 */


#ifndef __SGIMGSRC_H__
#define __SGIMGSRC_H__

#include <imgsrc.h>

static const int DEF_RATE = 30;  /* default 30 frames per sec */
static const int DEF_BUF_SIZE = 3;  /* default 3 frame buffer */

class SGimgsrc : public ImageSource
{
 private:
  
  //SVhandle V;
  //svCaptureInfo svci;
  void *extra_data;

  // unsigned char *videoframe1, *videoframe2;

  unsigned char* videoframe;
  int buffer_size;
  int samplingrate;
  ImageType format;
  long glwin;
  int USE_BURST;
  int frame_size;

 public:
  /* constructor */
  SGimgsrc(int bufsize = DEF_BUF_SIZE, int rate = DEF_RATE,
	   ImageType format = GRAY8, int width = 0, int height = 0,
	   int do_burst = FALSE); 
  ~SGimgsrc(); /* destructor */
  Image* get_next();
  long display(long win = NULLWIN);
  ImageType get_format() { return (format); }
  timeval get_current_timestamp();
  void start();
  void stop();
};


#endif
