/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/*
 * sgmoviesrc.h
 *  image source for movie files 
 *
 *  ( movieformat independent )
 *
 */

#ifndef __SGMOVIESRC_H__
#define __SGMOVIESRC_H__

#include <imgsrc.h>

class SGmoviesrc : public ImageSource
{
public:
 
  int width, height;
  int no_frames;
  ImageType imgformat;

  // implementation specifics
  void *hidden;

 public:
  
  SGmoviesrc(char* mv_name); /* constructor */
  ~SGmoviesrc(); /*destructor */
  Image* get_next();
  void reset_movie() { frame_number = 0; } 
  int get_no_frames() { return (no_frames);}
  void goto_frame(int n) { frame_number = n; }
};


#endif




