/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C - C++ Header
 *
 * File : 	realno.h
 *
 * Module :	realno
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Mon Jul 15 13:04:32 1996 
 *
 * Comments : 	some macros
 *
 ***************************************************************/


#ifndef __REALNO_H__
#define __REALNO_H__


#ifdef USE_FLOAT

#define realno float
#define real_cos fcos
#define real_sin fsin
#define real_exp fexp
#define real_tan ftan
#define real_atan2 fatan2
#define real_log flog
#define real_sqrt fsqrt 

#else

#define realno double
#define real_cos cos
#define real_sin sin
#define real_exp exp
#define real_tan tan
#define real_atan2 atan2
#define real_log log
#define real_sqrt sqrt 

#endif

inline int real_to_int(realno x)
{
  if (x < 0)
    return ((int) (x-0.5));
  else
    return ((int) (x+0.5));
}

#endif



