/***************************************************************************
 * C - C++ Header
 *
 * File : 	random.h
 *
 * Module :	random
 *
 * Author : 	A Baumberg
 *
 * Creation Date : Wed Sep 25 11:49:41 1996 
 *
 * Comments : 	Random acees for MPEG streams
 *
 ***************************************************************************/

#ifndef __random_H__
#define __random_H__

typedef struct table_entry
{
  int frame_no;
  int bitOffset;
  long streamPos;
} TableEntry;

typedef struct vid_header
{
  int no_frames;
  int no_GOPs;
  TableEntry *table;
} VidHeader;

VidHeader* build_header(VidHeader* vid_header, VidStream* vid_stream);
Boolean save_header(VidHeader *vid_header, FILE *hdr_strm);
VidHeader* load_header(VidHeader* vid_header, FILE* hdr_strm);
int find_table_entry(VidHeader* vid_header, int frame);
Boolean jump_to_entry(VidHeader* vid_header, VidStream* vid_stream,
		      int entry);

#endif
