/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/*
 * ProfileSet -
 * a class consisting of a list of Profiles
 *
 */

#ifndef __PROFILE_SET_H__
#define __PROFILE_SET_H__
#include <profile.h>
#include <list.h>

listdeclare(Profile)

class ProfileSet : public list(Profile)
{
public:

  ProfileSet() { first = last = NULL; no_items = 0;}
  void draw(bool flag = TRUE) ;
  void draw_filled();
  void normalise() ;
  void reflect(ProfileSet& result);
  void keep_ok();
  void remove_ok();
  Profile* find_labelled(int ref_no);
  void display_shapes(realno ox, realno oy);
  void gauss_smooth(realno sd = 1.0);
  void transform(NagMatrix& H);
  void fit_to_line();
  void add_origins(Point2 new_origin = Point2(0,0));
  void recenter(realno* wghts = NULL);

  // rescale all coordinates
  void scale_coords(realno scale_fac); 

};
 

#endif
