/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C - C++ Header
 *
 * File : 	WorldOcclusionHandler.h
 *
 * Module :	WorldOcclusionHandler
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Fri Aug  9 15:21:49 1996 
 *
 * Comments : 	base class to handle occlusion
 *
 ***************************************************************/


#ifndef __OCCLUSION_HANDLER_H__
#define __OCCLUSION_HANDLER_H__

#include <boolean.h>

class TrackedProfile;

class OcclusionHandler
{
public:

  virtual void setup_occlusion_map(TrackedProfile* ) {}

  virtual bool is_occlusion(int /* x */, int /* y */) {}
  // return TRUE if pixel is not in image
  virtual bool is_off_image(int /* x */, int /* y */) {}

};

#endif


