/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C - C++ Header
 *
 * File : 	ProActiveModel.h
 *
 * Module :	ProActiveModel
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Mon Aug 28 16:38:15 1995 
 *
 * Comments : 	physical vibration model for tracking
 *
 ***************************************************************/

#include <ActiveModel.h>

class ProActiveModel : public ActiveModel
{
private:

  NagVector a_vals;
  NagVector b_vals;
  NagVector r_vals;

  NagMatrix sqrt_Cov;
  NagMatrix sqrt_inv_Cov;

  static realno damping_b0;
  static realno damping_b1;
  static bool overwrite_damping;

public:

  ProActiveModel(char* pca_file)
    : ActiveModel(pca_file) {};
  

  void read_shape_model();	
  void setup_shape_filters();
  void apply_virtual_shape();
  void constrain_b();
};

  
