/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C++ source
 *
 * File : 	TrackedObjectList.cc
 *
 * Module :	TrackedObjectList
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Fri Aug  9 11:24:46 1996 
 *
 * Comments : 	
 *
 ***************************************************************/


/* include files */

#include <TrackedObjectList.h>
#include <fstream.h>
#include <list.h>
#include <utils.h>

listimplement(TrackedObject)


void TrackedObjectList::update_list(TrackedObjectList& prev_list)
{
  for (start(); current_ok(); forward())
    for (prev_list.start(); prev_list.current_ok();
	 prev_list.forward())
      if (get_current().obj_id == prev_list.get_current().obj_id)
	get_current().update(prev_list.get_current());
}

// if the passed ground point is inside a TrackedObject
// then overwrite with the closest point on the boundary 
void TrackedObjectList::constrain_position(Point2& pnt)
{
  for (start(); current_ok(); forward())
    if (get_current().encloses(pnt))
      {
	pnt = get_current().nearest_boundary_point(pnt);
	DB_PRINTF("Inside object %d at point (%f,%f)",\
		  get_current().obj_id, pnt.x, pnt.y);
      }
}
		    
      
      
