/*
This source file is the copyright property of the University of Leeds
('The University').

Permission to use, copy, modify, and distribute this source file for
educational, research, and not-for-profit purposes, without fee and
without a signed licensing agreement, is hereby granted, provided that
the above copyright notice, this paragraph and the following three
paragraphs appear in all copies, modifications, and distributions.

In no event shall The University be liable to any party for direct,
indirect, special, incidental or consequential damages, including lost
profits, arising out of the use of this software and its documentation.

The software is provided without warranty. The University has no
obligation to provide maintenance, support, updates, enhancements, or
modifications.

This software was written by Adam Baumberg, Vision Group,
School of Computer Studies, University of Leeds, UK. The code and use
thereof should be attributed to the author where appropriate
(including demonstrations which rely on it's use).
*/

/***************************************************************
 * C - C++ Header
 *
 * File : 	split_num_filename.h
 *
 * Module :	split_num_filename
 *
 * Author : 	A M Baumberg (CoMIR)
 *
 * Creation Date : Tue Oct 29 10:46:28 1996 
 *
 * Comments : 	see below
 *
 ***************************************************************/


/* include files */
#ifndef __SPLIT_NUM_FILENAME_H__
#define __SPLIT_NUM_FILENAME_H__

#include "boolean.h"

// split_num_filename:
// takes a filename e.g. "path/file002.pgm.gz" 
// and splits into three dynamically allocated strings
// *prefix: everything before the last number e.g. "path/file"
// *number: the (last) number string e.g. "002"
// *suffix: everything after the number e.g. ".pgm.gz"
//
// if no number part in filename then returns FALSE



bool split_num_filename(char* filename, char*& prefix, char*& number,
			char*& suffix);


#endif
